# OceanTexData(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``OceanTexData`(bpy_struct)

  Ocean Texture settings

  `ocean_object`

    Object containing the ocean modifier

    Type: | `Object`

  `output`

    The data that is output by the texture

    - `DISPLACEMENT` Displacement, Output XYZ displacement in RGB channels.
    - `FOAM` Foam, Output Foam (wave overlap) amount in single channel.
    - `JPLUS` Eigenvalues, Positive Eigenvalues.
    - `EMINUS` Eigenvectors (-), Negative Eigenvectors.
    - `EPLUS` Eigenvectors (+), Positive Eigenvectors.

    Type: | enum in [‘DISPLACEMENT’, ‘FOAM’, ‘JPLUS’, ‘EMINUS’, ‘EPLUS’], default ‘DISPLACEMENT’

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`OceanTexture.ocean` |